/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.JTextArea;

/**
 *
 * @author pchr
 */
public class myTextArea extends JTextArea{
    public JPopupMenu popup;
    
    public myTextArea(){
        popup = new JPopupMenu();
        final String theName="καθαρισμός";
        ActionListener menuListener = new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                if(event.getActionCommand().equals(theName)){
                    clearAll();
                }
            }
        };
        JMenuItem item;
        popup.add(item = new JMenuItem(theName));
        item.addActionListener(menuListener);
        addMouseListener(new MousePopupListener());
    }
    
    // An inner class to check whether mouse events are the popup trigger
    class MousePopupListener extends MouseAdapter {
        @Override
        public void mousePressed(MouseEvent e) {
            checkPopup(e);
        }
        
        @Override
        public void mouseClicked(MouseEvent e) {
            checkPopup(e);
        }
        
        @Override
        public void mouseReleased(MouseEvent e) {
            checkPopup(e);
        }
        
        private void checkPopup(MouseEvent e) {
            if (e.isPopupTrigger()) {
                popup.show(myTextArea.this, e.getX(), e.getY());
            }
        }
    }
    
    private void clearAll(){
        this.setText("");
    }

}
