/*
 * theFrame.java
 *
 * Created on 16 Σεπτέμβριος 2008, 7:16 μμ
 */

package gui;

import core.*;
import java.awt.GridLayout;
import java.awt.event.KeyEvent;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import javax.swing.ButtonGroup;
import javax.swing.DefaultComboBoxModel;
import javax.swing.InputMap;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JRadioButton;
import javax.swing.KeyStroke;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import javax.swing.table.DefaultTableModel;
import util.BareBonesBrowserLaunch;

/**
 *
 * @author  pchr
 */
public class theFrame extends javax.swing.JFrame {
    private structure MainStructure;
    private int data=0; // 2 gia geniki eisagosi, 1 gia eisagosi meso AEM // 0 δεν εχει γινει εισαγωγη
    JRadioButton right;
    JRadioButton left;
    ButtonGroup bgroup;
    /** Creates new form theFrame */
    public theFrame() {
        initComponents();
        DefaultTableModel tableModel = (DefaultTableModel) StateTable.getModel();
        while (tableModel.getRowCount() != 0) {
            tableModel.removeRow(tableModel.getRowCount() - 1);
        }
        
        tableModel.setColumnCount(0);
        String name= "Κατάσταση";
        tableModel.addColumn(name);
        name= "Δύναμη P";
        tableModel.addColumn(name);
        name= "Μετακίνηση Γ [cm]";
        tableModel.addColumn(name);
        name= "Τύπος";
        tableModel.addColumn(name);
        name= "Μέλος";
        tableModel.addColumn(name);
        name= "Σημείο";
        tableModel.addColumn(name);
        name= "Βx";
        tableModel.addColumn(name);
        name= "Βy";
        tableModel.addColumn(name);
        
        OutTextArea.append("Πλαίσιο κειμένου πληροφοριών"+'\n');
        OutTextArea.append("--------------------------------------"+'\n');
        
        jSplitPane1.setDividerLocation(1100);
        jSplitPane2.setDividerLocation(500);
        
        //// selection listener on jtable
        SelectionListener listener = new SelectionListener(StateTable,structurePanel1);
        StateTable.getSelectionModel().addListSelectionListener(listener);
        StateTable.getColumnModel().getSelectionModel().addListSelectionListener(listener);
        /////////////////////////////////
        structurePanel1.setStateTable(StateTable);
        //// shortcut listener on jButton10
        InputMap inputMap = jButton10.getInputMap(JButton.WHEN_IN_FOCUSED_WINDOW);
        KeyStroke enter = KeyStroke.getKeyStroke(KeyEvent.VK_N, 0);
        inputMap.put(enter, "n");
        jButton10.getActionMap().put("n", new ClickAction(jButton10));
        
        right   = new JRadioButton("ΖΔ"  , false);
        left    = new JRadioButton("ΓΖ"  , true);

        bgroup = new ButtonGroup();
        bgroup.add(right);
        bgroup.add(left);
        
        PositionPanel.setLayout(new GridLayout(1, 2));
        PositionPanel.add(right);
        PositionPanel.add(left);
        structurePanel1.setSelectedSection(0);
        
        right.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                //jButton6ActionPerformed(evt);
                if(right.isSelected()){structurePanel1.setSelectedSection(1);}else{structurePanel1.setSelectedSection(0);}
                structurePanel1.plot();
            }
        });
        
        left.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                //jButton6ActionPerformed(evt);
                if(right.isSelected()){structurePanel1.setSelectedSection(1);}else{structurePanel1.setSelectedSection(0);}
                structurePanel1.plot();
            }
        });
        
        //right.setEnabled(false);
        //left.setEnabled(false);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        AEMDialog = new javax.swing.JDialog();
        jButton6 = new javax.swing.JButton();
        jButton7 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        jTextField3 = new javax.swing.JTextField();
        jTextField4 = new javax.swing.JTextField();
        jCheckBox2 = new javax.swing.JCheckBox();
        GeneralInputDialog = new javax.swing.JDialog();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        elast1 = new javax.swing.JTextField();
        elast2 = new javax.swing.JTextField();
        elast3 = new javax.swing.JTextField();
        elast4 = new javax.swing.JTextField();
        elast5 = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        yield1 = new javax.swing.JTextField();
        yield2 = new javax.swing.JTextField();
        yield3 = new javax.swing.JTextField();
        yield4 = new javax.swing.JTextField();
        yield5 = new javax.swing.JTextField();
        jButton8 = new javax.swing.JButton();
        jButton9 = new javax.swing.JButton();
        jLabel15 = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        jLabel16 = new javax.swing.JLabel();
        jSeparator3 = new javax.swing.JSeparator();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jSeparator4 = new javax.swing.JSeparator();
        cb1 = new javax.swing.JComboBox();
        cb2 = new javax.swing.JComboBox();
        cb3 = new javax.swing.JComboBox();
        cb4 = new javax.swing.JComboBox();
        cb5 = new javax.swing.JComboBox();
        jLabel22 = new javax.swing.JLabel();
        jSeparator5 = new javax.swing.JSeparator();
        jSeparator6 = new javax.swing.JSeparator();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        fheight = new javax.swing.JTextField();
        flength = new javax.swing.JTextField();
        fphi = new javax.swing.JTextField();
        jLabel26 = new javax.swing.JLabel();
        fcoef = new javax.swing.JTextField();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        h1 = new javax.swing.JTextField();
        h2 = new javax.swing.JTextField();
        h3 = new javax.swing.JTextField();
        h4 = new javax.swing.JTextField();
        h5 = new javax.swing.JTextField();
        b1 = new javax.swing.JTextField();
        b2 = new javax.swing.JTextField();
        b3 = new javax.swing.JTextField();
        b4 = new javax.swing.JTextField();
        b5 = new javax.swing.JTextField();
        s1 = new javax.swing.JTextField();
        t1 = new javax.swing.JTextField();
        s2 = new javax.swing.JTextField();
        t2 = new javax.swing.JTextField();
        s3 = new javax.swing.JTextField();
        t3 = new javax.swing.JTextField();
        s4 = new javax.swing.JTextField();
        t4 = new javax.swing.JTextField();
        s5 = new javax.swing.JTextField();
        t5 = new javax.swing.JTextField();
        i1 = new javax.swing.JTextField();
        i2 = new javax.swing.JTextField();
        i3 = new javax.swing.JTextField();
        i4 = new javax.swing.JTextField();
        i5 = new javax.swing.JTextField();
        a1 = new javax.swing.JTextField();
        a2 = new javax.swing.JTextField();
        a3 = new javax.swing.JTextField();
        a4 = new javax.swing.JTextField();
        a5 = new javax.swing.JTextField();
        wy1 = new javax.swing.JTextField();
        wy2 = new javax.swing.JTextField();
        wy3 = new javax.swing.JTextField();
        wy4 = new javax.swing.JTextField();
        wy5 = new javax.swing.JTextField();
        wp1 = new javax.swing.JTextField();
        wp2 = new javax.swing.JTextField();
        wp3 = new javax.swing.JTextField();
        wp4 = new javax.swing.JTextField();
        wp5 = new javax.swing.JTextField();
        jCheckBox1 = new javax.swing.JCheckBox();
        zoomDialog = new javax.swing.JDialog();
        jButton14 = new javax.swing.JButton();
        jButton15 = new javax.swing.JButton();
        jButton16 = new javax.swing.JButton();
        jButton17 = new javax.swing.JButton();
        jSplitPane1 = new javax.swing.JSplitPane();
        structurePanel1 = new gui.StructurePanel();
        jSplitPane2 = new javax.swing.JSplitPane();
        jScrollPane1 = new javax.swing.JScrollPane();
        OutTextArea = new gui.myTextArea();
        jScrollPane2 = new javax.swing.JScrollPane();
        StateTable = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jComboBox1 = new javax.swing.JComboBox();
        jButton10 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        PositionPanel = new javax.swing.JPanel();
        jButton4 = new javax.swing.JButton();
        jButton5 = new javax.swing.JButton();

        AEMDialog.setTitle("εισαγωγή μέσω ΑΕΜ");
        AEMDialog.setMinimumSize(new java.awt.Dimension(550, 400));

        jButton6.setText("ενημέρωση");
        jButton6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton6ActionPerformed(evt);
            }
        });

        jButton7.setText("ακύρωση");
        jButton7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton7ActionPerformed(evt);
            }
        });

        jLabel1.setText("εισαγωγή ΑΕΜ");

        jLabel2.setText("κ λ μ ν: τα ψηφία του ΑΕΜ σε παράθεση");

        jLabel3.setText("π.χ. ΑΕΜ=10835: κ=10, λ=8, μ=3, ν=5");

        jLabel4.setText("εισαγωγή κ=");

        jLabel5.setText("εισαγωγή λ=");

        jLabel6.setText("εισαγωγή μ=");

        jLabel7.setText("εισαγωγή ν=");

        jTextField1.setText("10");

        jTextField2.setText("8");

        jTextField3.setText("3");

        jTextField4.setText("5");

        jCheckBox2.setSelected(true);
        jCheckBox2.setText("πρώτη διαρροή λαμβάνοντας υπόψη τη συνεισφορά του αξονικού φορτίου");

        javax.swing.GroupLayout AEMDialogLayout = new javax.swing.GroupLayout(AEMDialog.getContentPane());
        AEMDialog.getContentPane().setLayout(AEMDialogLayout);
        AEMDialogLayout.setHorizontalGroup(
            AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, AEMDialogLayout.createSequentialGroup()
                .addContainerGap(214, Short.MAX_VALUE)
                .addComponent(jButton6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton7)
                .addGap(116, 116, 116))
            .addGroup(AEMDialogLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel3)
                    .addComponent(jLabel2)
                    .addComponent(jLabel1)
                    .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, AEMDialogLayout.createSequentialGroup()
                            .addComponent(jLabel7)
                            .addGap(18, 18, 18)
                            .addComponent(jTextField4))
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, AEMDialogLayout.createSequentialGroup()
                            .addComponent(jLabel6)
                            .addGap(18, 18, 18)
                            .addComponent(jTextField3))
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, AEMDialogLayout.createSequentialGroup()
                            .addComponent(jLabel5)
                            .addGap(18, 18, 18)
                            .addComponent(jTextField2))
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, AEMDialogLayout.createSequentialGroup()
                            .addComponent(jLabel4)
                            .addGap(18, 18, 18)
                            .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(276, Short.MAX_VALUE))
            .addGroup(AEMDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jCheckBox2)
                .addContainerGap(113, Short.MAX_VALUE))
        );

        AEMDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jLabel4, jLabel5, jLabel6, jLabel7});

        AEMDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jTextField1, jTextField2, jTextField3, jTextField4});

        AEMDialogLayout.setVerticalGroup(
            AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, AEMDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jLabel3)
                .addGap(32, 32, 32)
                .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel6)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 10, Short.MAX_VALUE)
                .addComponent(jCheckBox2)
                .addGap(18, 18, 18)
                .addGroup(AEMDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton6)
                    .addComponent(jButton7))
                .addContainerGap())
        );

        AEMDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jLabel4, jLabel5, jLabel6, jLabel7});

        AEMDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jTextField1, jTextField2, jTextField3, jTextField4});

        GeneralInputDialog.setTitle("Παράθυρο γενικής εισαγωγής (δοκιμαστική εφαρμογή, χρειάζεται περαιτέρω έλεγχος)");
        GeneralInputDialog.setMinimumSize(new java.awt.Dimension(700, 700));

        jLabel8.setText("μέλος ΒΕ (1)");

        jLabel9.setText("μέλος ΕΔ (2)");

        jLabel10.setText("μέλος ΔΖ (3)");

        jLabel11.setText("μέλος ΖΓ (4)");

        jLabel12.setText("μέλος ΑΓ (5)");

        elast1.setText("200");

        elast2.setText("200");

        elast3.setText("200");

        elast4.setText("200");

        elast5.setText("200");

        jSeparator1.setOrientation(javax.swing.SwingConstants.VERTICAL);

        jLabel13.setText("μέτρο ελαστικότητας (GPa)");
        jLabel13.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel14.setText("τάση διαρροής (MPa)");
        jLabel14.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        yield1.setText("200");

        yield2.setText("200");

        yield3.setText("200");

        yield4.setText("200");

        yield5.setText("200");

        jButton8.setText("ενημέρωση");
        jButton8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton8ActionPerformed(evt);
            }
        });

        jButton9.setText("ακύρωση");
        jButton9.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton9ActionPerformed(evt);
            }
        });

        jLabel15.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel15.setText("Καθορισμός Υλικών");

        jLabel16.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel16.setText("Καθορισμός Διατομών");

        jLabel17.setText("μέλος ΒΕ (1)");

        jLabel18.setText("μέλος ΕΔ (2)");

        jLabel19.setText("μέλος ΔΖ (3)");

        jLabel20.setText("μέλος ΖΓ (4)");

        jLabel21.setText("μέλος ΑΓ (5)");

        jSeparator4.setOrientation(javax.swing.SwingConstants.VERTICAL);

        cb1.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "σωληνωτή", "διπλού Τ", "από το χρήστη" }));
        cb1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cb1ActionPerformed(evt);
            }
        });
        cb1.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                cb1PropertyChange(evt);
            }
        });

        cb2.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "σωληνωτή", "διπλού Τ", "από το χρήστη" }));
        cb2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cb2ActionPerformed(evt);
            }
        });

        cb3.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "σωληνωτή", "διπλού Τ", "από το χρήστη" }));
        cb3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cb3ActionPerformed(evt);
            }
        });

        cb4.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "σωληνωτή", "διπλού Τ", "από το χρήστη" }));
        cb4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cb4ActionPerformed(evt);
            }
        });

        cb5.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "σωληνωτή", "διπλού Τ", "από το χρήστη" }));
        cb5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cb5ActionPerformed(evt);
            }
        });

        jLabel22.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel22.setText("Καθορισμός Παραμέτρων");

        jSeparator6.setOrientation(javax.swing.SwingConstants.VERTICAL);

        jLabel23.setText("H [m]=");

        jLabel24.setText("L [m]=");

        jLabel25.setText("φ [deg]=");

        fheight.setText("10.00");

        flength.setText("7.00");

        fphi.setText("25.00");

        jLabel26.setText("coef=");
        jLabel26.setToolTipText("ποσοστό του μήκους ΔΓ όπου βρίσκεται το σημείο Ζ από το Δ (σημείο εφαρμογής φορτίου P)");

        fcoef.setText("0.50");
        fcoef.setToolTipText("ποσοστό του μήκους ΔΓ όπου βρίσκεται το σημείο Ζ από το Δ (σημείο εφαρμογής φορτίου P)");

        jLabel27.setText("h [mm]");
        jLabel27.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel28.setText("b [mm]");
        jLabel28.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel29.setText("s [mm]");
        jLabel29.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel30.setText("t [mm]");
        jLabel30.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel31.setText("I [mm^4]");
        jLabel31.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel32.setText("A [mm^2]");
        jLabel32.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel33.setText("Wy");
        jLabel33.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel34.setText("Wp");
        jLabel34.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        h1.setText("500.00");

        h2.setText("500.00");

        h3.setText("500.00");

        h4.setText("500.00");

        h5.setText("500.00");

        b1.setText("200.00");

        b2.setText("200.00");

        b3.setText("200.00");

        b4.setText("200.00");

        b5.setText("200.00");

        s1.setText("10.00");

        t1.setEditable(false);
        t1.setEnabled(false);

        s2.setText("10.00");

        t2.setEditable(false);
        t2.setEnabled(false);

        s3.setText("10.00");

        t3.setEditable(false);
        t3.setEnabled(false);

        s4.setText("10.00");

        t4.setEditable(false);
        t4.setEnabled(false);

        s5.setText("10.00");

        t5.setEditable(false);
        t5.setEnabled(false);

        i1.setEditable(false);

        i2.setEditable(false);

        i3.setEditable(false);

        i4.setEditable(false);

        i5.setEditable(false);

        a1.setEditable(false);

        a2.setEditable(false);

        a3.setEditable(false);

        a4.setEditable(false);

        a5.setEditable(false);

        wy1.setEditable(false);

        wy2.setEditable(false);

        wy3.setEditable(false);

        wy4.setEditable(false);

        wy5.setEditable(false);

        wp1.setEditable(false);

        wp2.setEditable(false);

        wp3.setEditable(false);

        wp4.setEditable(false);

        wp5.setEditable(false);

        jCheckBox1.setSelected(true);
        jCheckBox1.setText("πρώτη διαρροή λαμβάνοντας υπόψη τη συνεισφορά του αξονικού φορτίου");

        javax.swing.GroupLayout GeneralInputDialogLayout = new javax.swing.GroupLayout(GeneralInputDialog.getContentPane());
        GeneralInputDialog.getContentPane().setLayout(GeneralInputDialogLayout);
        GeneralInputDialogLayout.setHorizontalGroup(
            GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel8)
                            .addComponent(jLabel9)
                            .addComponent(jLabel10)
                            .addComponent(jLabel11)
                            .addComponent(jLabel12))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 15, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel13)
                            .addComponent(elast5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(elast3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(elast2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(elast4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(elast1, javax.swing.GroupLayout.PREFERRED_SIZE, 48, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(yield5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(yield3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(yield2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(yield4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(yield1, javax.swing.GroupLayout.PREFERRED_SIZE, 48, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel14)))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGap(22, 22, 22)
                        .addComponent(jLabel15))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 358, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel21)
                                    .addComponent(jLabel20)
                                    .addComponent(jLabel19)
                                    .addComponent(jLabel18)
                                    .addComponent(jLabel17))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jSeparator4, javax.swing.GroupLayout.PREFERRED_SIZE, 15, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                    .addComponent(cb1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(cb2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                    .addComponent(h2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(h1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(jLabel27, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(h3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                                .addComponent(cb3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addGap(64, 64, 64)))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                    .addComponent(b2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(b1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                            .addComponent(jLabel28, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(b3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(s2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(s1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel29, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(s3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                                .addComponent(jLabel30, javax.swing.GroupLayout.DEFAULT_SIZE, 56, Short.MAX_VALUE)
                                                .addComponent(t1, javax.swing.GroupLayout.DEFAULT_SIZE, 56, Short.MAX_VALUE)
                                                .addComponent(t2, javax.swing.GroupLayout.DEFAULT_SIZE, 56, Short.MAX_VALUE))
                                            .addComponent(t3, javax.swing.GroupLayout.DEFAULT_SIZE, 56, Short.MAX_VALUE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(i2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(i1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel31, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(i3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(a2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(a1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel32, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(a3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(wy2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wy1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel33, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wy3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(wp2, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wp1, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel34, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wp3, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGap(69, 69, 69))
                                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(cb4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(cb5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(h5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(h4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGap(2, 2, 2)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addComponent(b5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(b4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(s4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(s5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                            .addComponent(t4, javax.swing.GroupLayout.DEFAULT_SIZE, 56, Short.MAX_VALUE)
                                            .addComponent(t5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(i5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(i4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(a5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(a4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(wy5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wy4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(wp5, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wp4, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addComponent(jLabel16))
                            .addComponent(jSeparator3, javax.swing.GroupLayout.PREFERRED_SIZE, 358, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(495, Short.MAX_VALUE))
            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jSeparator5, javax.swing.GroupLayout.PREFERRED_SIZE, 358, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGap(12, 12, 12)
                        .addComponent(jLabel22))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel23)
                            .addComponent(jLabel24))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(fheight, javax.swing.GroupLayout.PREFERRED_SIZE, 56, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(flength, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jSeparator6, javax.swing.GroupLayout.PREFERRED_SIZE, 15, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jLabel26, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabel25))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(fcoef, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(fphi, javax.swing.GroupLayout.PREFERRED_SIZE, 57, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 178, Short.MAX_VALUE)
                .addComponent(jButton8)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton9)
                .addGap(531, 531, 531))
            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jCheckBox1)
                .addContainerGap(860, Short.MAX_VALUE))
        );

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jLabel10, jLabel11, jLabel12, jLabel8, jLabel9});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {fheight, flength});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {elast1, elast2, elast3, elast4, elast5});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {fcoef, fphi});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {yield1, yield2, yield3, yield4, yield5});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jLabel27, jLabel28, jLabel29, jLabel30, jLabel31, jLabel32, jLabel33, jLabel34});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {a1, a2, a3, a4, a5, b1, b2, b3, b4, b5, h1, h2, h3, h4, h5, i1, i2, i3, i4, i5, s1, s2, s3, s4, s5, t1, t2, t3, t4, t5, wp1, wp2, wp3, wp4, wp5, wy1, wy2, wy3, wy4, wy5});

        GeneralInputDialogLayout.setVerticalGroup(
            GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel15)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(4, 4, 4)
                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addComponent(jLabel13)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addComponent(elast1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(elast2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(elast3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(elast4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(elast5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 125, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addComponent(jLabel8)
                                .addGap(12, 12, 12)
                                .addComponent(jLabel9)
                                .addGap(12, 12, 12)
                                .addComponent(jLabel10)
                                .addGap(12, 12, 12)
                                .addComponent(jLabel11)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jLabel12))))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addComponent(jLabel14)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(yield1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(yield2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(yield3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(yield4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(yield5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(18, 18, 18)
                .addComponent(jLabel16)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator3, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel27)
                    .addComponent(jLabel29)
                    .addComponent(jLabel31)
                    .addComponent(jLabel32)
                    .addComponent(jLabel33)
                    .addComponent(jLabel34)
                    .addComponent(jLabel30)
                    .addComponent(jLabel28))
                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addGap(4, 4, 4)
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                        .addComponent(cb1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(cb2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                            .addComponent(cb3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(h3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(b3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(s3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(t3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(i3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(a3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wy3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(wp3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                    .addComponent(s4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(i4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(a4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(wy4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(wp4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(t4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                    .addComponent(s5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(i5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(a5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(wy5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(wp5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(t5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                    .addComponent(cb4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(h4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                    .addComponent(cb5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                    .addComponent(h5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                                .addComponent(b4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addComponent(b5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                        .addGap(7, 7, 7)
                                        .addComponent(jLabel17)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(jLabel18)
                                        .addGap(11, 11, 11)
                                        .addComponent(jLabel19)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(jLabel20)
                                        .addGap(11, 11, 11)
                                        .addComponent(jLabel21))
                                    .addComponent(jSeparator4, javax.swing.GroupLayout.PREFERRED_SIZE, 146, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(18, 18, 18)
                                .addComponent(jLabel22))
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(s1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(i1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(t1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(s2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(i2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(t2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addGap(6, 6, 6)
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(b1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(h1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(b2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(h2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jSeparator5, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGap(6, 6, 6)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addComponent(a1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(6, 6, 6)
                                .addComponent(a2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addComponent(wy1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(6, 6, 6)
                                .addComponent(wy2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                                .addComponent(wp1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(6, 6, 6)
                                .addComponent(wp2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel23)
                            .addComponent(fheight, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(13, 13, 13)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel24)
                            .addComponent(flength, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(GeneralInputDialogLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel25)
                            .addComponent(fphi, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(GeneralInputDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(fcoef, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel26)
                            .addComponent(jButton9)
                            .addComponent(jButton8)))
                    .addComponent(jSeparator6, javax.swing.GroupLayout.PREFERRED_SIZE, 55, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jCheckBox1)
                .addGap(47, 47, 47))
        );

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {fheight, flength});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jLabel10, jLabel11, jLabel12, jLabel8, jLabel9});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {fcoef, fphi});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {elast1, elast2, elast3, elast4, elast5});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {yield1, yield2, yield3, yield4, yield5});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {a1, a2, a3, a4, a5, b1, b2, b3, b4, b5, h1, h2, h3, h4, h5, i1, i2, i3, i4, i5, s1, s2, s3, s4, s5, t1, t2, t3, t4, t5, wp1, wp2, wp3, wp4, wp5, wy1, wy2, wy3, wy4, wy5});

        GeneralInputDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jLabel27, jLabel28, jLabel29, jLabel30, jLabel31, jLabel32, jLabel33, jLabel34});

        zoomDialog.setTitle("zoom");
        zoomDialog.setAlwaysOnTop(true);
        zoomDialog.setLocationByPlatform(true);
        zoomDialog.setMinimumSize(new java.awt.Dimension(200, 200));
        zoomDialog.setModal(true);

        jButton14.setText("x+");
        jButton14.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton14ActionPerformed(evt);
            }
        });

        jButton15.setText("y+");
        jButton15.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton15ActionPerformed(evt);
            }
        });

        jButton16.setText("x-");
        jButton16.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton16ActionPerformed(evt);
            }
        });

        jButton17.setText("y-");
        jButton17.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton17ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout zoomDialogLayout = new javax.swing.GroupLayout(zoomDialog.getContentPane());
        zoomDialog.getContentPane().setLayout(zoomDialogLayout);
        zoomDialogLayout.setHorizontalGroup(
            zoomDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(zoomDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(zoomDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(zoomDialogLayout.createSequentialGroup()
                        .addComponent(jButton14)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButton15))
                    .addGroup(zoomDialogLayout.createSequentialGroup()
                        .addComponent(jButton16)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButton17)))
                .addContainerGap(86, Short.MAX_VALUE))
        );

        zoomDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jButton14, jButton15, jButton16, jButton17});

        zoomDialogLayout.setVerticalGroup(
            zoomDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(zoomDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(zoomDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton14)
                    .addComponent(jButton15))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(zoomDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton16)
                    .addComponent(jButton17))
                .addContainerGap(137, Short.MAX_VALUE))
        );

        zoomDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jButton14, jButton15, jButton16, jButton17});

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("jCastigliano: Εκπαιδευτικό λογισμικό ανάλυσης πλαισίου με τη μέθοδο Castigliano");

        javax.swing.GroupLayout structurePanel1Layout = new javax.swing.GroupLayout(structurePanel1);
        structurePanel1.setLayout(structurePanel1Layout);
        structurePanel1Layout.setHorizontalGroup(
            structurePanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 0, Short.MAX_VALUE)
        );
        structurePanel1Layout.setVerticalGroup(
            structurePanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 188, Short.MAX_VALUE)
        );

        jSplitPane1.setLeftComponent(structurePanel1);

        jSplitPane2.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);

        OutTextArea.setColumns(20);
        OutTextArea.setEditable(false);
        OutTextArea.setRows(5);
        OutTextArea.setFont(new java.awt.Font("Arial", 0, 11));
        jScrollPane1.setViewportView(OutTextArea);

        jSplitPane2.setLeftComponent(jScrollPane1);

        StateTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        StateTable.setSelectionMode(javax.swing.ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
        jScrollPane2.setViewportView(StateTable);

        jSplitPane2.setRightComponent(jScrollPane2);

        jSplitPane1.setRightComponent(jSplitPane2);

        getContentPane().add(jSplitPane1, java.awt.BorderLayout.CENTER);

        jButton1.setText("γενική εισαγωγή");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton1);

        jButton2.setText("εισαγωγή μέσω ΑΕΜ");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton2);

        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "φορέας", "ροπές", "αξονικές δυνάμεις", "τέμνουσες δυνάμεις", "καμπύλη αντίστασης" }));
        jComboBox1.setEnabled(false);
        jComboBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBox1ActionPerformed(evt);
            }
        });
        jPanel1.add(jComboBox1);

        jButton10.setText("υπολογισμός για φορτίο ");
        jButton10.setEnabled(false);
        jButton10.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton10ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton10);

        jButton3.setText("zoom");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton3);

        javax.swing.GroupLayout PositionPanelLayout = new javax.swing.GroupLayout(PositionPanel);
        PositionPanel.setLayout(PositionPanelLayout);
        PositionPanelLayout.setHorizontalGroup(
            PositionPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 100, Short.MAX_VALUE)
        );
        PositionPanelLayout.setVerticalGroup(
            PositionPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 100, Short.MAX_VALUE)
        );

        jPanel1.add(PositionPanel);

        jButton4.setText("βοήθεια");
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton4);

        jButton5.setText("πληροφορίες");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton5);

        getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
// TODO add your handling code here:
    JOptionPane.showMessageDialog(this, 
                      "=================================================="
                +'\n'+"Εκπαιδευτικό λογισμικό jCastigliano"
                +'\n'+"ανάλυση πλαισίου ελαστοπλαστικής συμπεριφοράς"  
                +'\n'+"με τη μέθοδο Castigliano "
                +'\n'+"Αριστοτέλειο Πανεπιστήμιο Θεσσαλονίκης"
                +'\n'+"Τμήμα Πολιτικών Μηχανικών"
                +'\n'+"Στα πλαίσια του μαθήματος"
                +'\n'+"Αντοχή Υλικών και Δομικών Στοιχείων II (TE4500)"
                +'\n'+"Δημιουργία: Παναγιωτόπουλος Γ. Χρήστος"
                +'\n'+"Επικοινωνία: pchr@civil.auth.gr"
                +'\n'+ "Ιούλιος-Αύγουστος 2008"
                +'\n'+"--------------------------------------------------"
                +'\n'+"         Ε.Π.Ε.Α.Ε.Κ. (κωδ. 21502)                "
                +'\n'+"Αναμόρφωση προγράμματος σπουδών τμήματος πολ. μηχ."
                +'\n'+"==================================================",
                                          "About jtorsion",JOptionPane.INFORMATION_MESSAGE);
}//GEN-LAST:event_jButton5ActionPerformed

private void jButton7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton7ActionPerformed
// TODO add your handling code here:
    AEMDialog.setVisible(false);
}//GEN-LAST:event_jButton7ActionPerformed

private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
// TODO add your handling code here:
    AEMDialog.setLocationRelativeTo(this);
    AEMDialog.setVisible(true);
}//GEN-LAST:event_jButton2ActionPerformed

private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
// TODO add your handling code here:
    GeneralInputDialog.setLocationRelativeTo(this);
    GeneralInputDialog.setVisible(true);
}//GEN-LAST:event_jButton1ActionPerformed

private void jButton6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton6ActionPerformed
// TODO add your handling code here:
    data=1;
    double k,l,m,n;
    k=Double.parseDouble(jTextField1.getText());
    l=Double.parseDouble(jTextField2.getText());
    m=Double.parseDouble(jTextField3.getText());
    n=Double.parseDouble(jTextField4.getText());
    DecimalFormatSymbols comma =new DecimalFormatSymbols();
    comma.setDecimalSeparator('.');
    DecimalFormat Places = new DecimalFormat("0",comma);
    String sk,sl,sm,sn;
    sk=Places.format(k); sl=Places.format(l); sm=Places.format(m); sn=Places.format(n);
    OutTextArea.append('\n'+"=========================================================="+'\n');
    OutTextArea.append("Εισαγωγή στοιχείων μέσω ΑΕΜ"+'\n');
    OutTextArea.append("Επίλυση για: κ="+sk+" λ="+sl+" μ="+sm+" ν="+sn+'\n');
    double phi=10.+l+m+n;
    double L=0.3*(k+m+n);
    double H=3.+m;
    double coef=2./4.;
    double h=400.+10.*(l+m);
    double b=150.+5.*(m+n);
    double s=8.+m;
    double t=12.+n;
    double angle=phi*Math.PI/180.;
    switch((int) n){
        case 0: coef=3./4.; break;
        case 1: coef=3./4.; break;
        case 2: coef=3./4.; break;
        case 3: coef=3./4.; break;
        case 4: coef=2./4.; break;
        case 5: coef=2./4.; break;
        case 6: coef=2./4.; break;
        case 7: coef=1./4.; break;
        case 8: coef=1./4.; break;
        case 9: coef=1./4.; break;
    }
    Places = new DecimalFormat("0.000",comma);
    OutTextArea.append("Στοιχεία / Παράμετροι πλαισίου:"+'\n');
    sk=Places.format(H);
    OutTextArea.append("H= "+sk+" [m]"+'\n');
    sk=Places.format(L);
    OutTextArea.append("L= "+sk+" [m]"+'\n');
    sk=Places.format(phi);
    OutTextArea.append("φ= "+sk+" [deg]"+'\n');
    sk=Places.format(h);
    OutTextArea.append("h= "+sk+" [mm]"+'\n');
    sk=Places.format(b);
    OutTextArea.append("b= "+sk+" [mm]"+'\n');
    sk=Places.format(s);
    OutTextArea.append("s= "+sk+" [mm]"+'\n');
    sk=Places.format(t);
    OutTextArea.append("t= "+sk+" [mm]"+'\n');
    sk=Places.format(coef);
    OutTextArea.append("σημείο εφαρμογής φορτίου P: "+'\n');
    OutTextArea.append(sk+" του ΔΓ, από το Δ"+'\n');
    
    MainStructure = new structure(angle, H, L, coef);
    
    section Section_A=new DoubleTauSect(1,1.5*h/1000.,s/1000., t/1000., b/1000.);
    OutTextArea.append('\n'+"διατομή διπλού ταυ"+'\n');
    sk=Places.format(Section_A.getA()*10000.);
    OutTextArea.append("A= "+sk+" [cm^2]"+'\n');
    sk=Places.format(Section_A.getI()*100000000.);
    OutTextArea.append("I= "+sk+" [cm^4]"+'\n');
    sk=Places.format(Section_A.getHeight()*100.);
    OutTextArea.append("h_διατομής= "+sk+" [cm]"+'\n');
    sk=Places.format(Section_A.getWy()*1000000.);
    OutTextArea.append("Wy= "+sk+" [cm^3]"+'\n');
    sk=Places.format(Section_A.getWp()*1000000.);
    OutTextArea.append("Wp= "+sk+" [cm^3]"+'\n');
    section Section_B=new OrthTubeSect(2,h/1000., s/1000., b/1000.);
    OutTextArea.append('\n'+"διατομή ορθογωνική"+'\n');
    sk=Places.format(Section_B.getA()*10000.);
    OutTextArea.append("A= "+sk+" [cm^2]"+'\n');
    sk=Places.format(Section_B.getI()*100000000.);
    OutTextArea.append("I= "+sk+" [cm^4]"+'\n');
    sk=Places.format(Section_B.getHeight()*100.);
    OutTextArea.append("h_διατομής= "+sk+" [cm]"+'\n');
    sk=Places.format(Section_B.getWy()*1000000.);
    OutTextArea.append("Wy= "+sk+" [cm^3]"+'\n');
    sk=Places.format(Section_B.getWp()*1000000.);
    OutTextArea.append("Wp= "+sk+" [cm^3]"+'\n');

    material theMaterial = new material(200.e6,200.e3);
    OutTextArea.append('\n'+"υλικό κατασκευής"+'\n');
    sk=Places.format(theMaterial.getElast()/1000000.);
    OutTextArea.append("E= "+sk+" [GPa]"+'\n');
    sk=Places.format(theMaterial.getYieldStress()/1000.);
    OutTextArea.append("σY= "+sk+" [MPa]"+'\n');

    MainStructure.addMember(1, Section_B, theMaterial);
    MainStructure.addMember(2, Section_A, theMaterial);
    MainStructure.addMember(3, Section_A, theMaterial);
    MainStructure.addMember(4, Section_A, theMaterial);
    MainStructure.addMember(5, Section_B, theMaterial);
    
    sk=Places.format(MainStructure.getMembers()[0].getMp());
    OutTextArea.append('\n'+"διατομή ορθογωνική Mp= "+sk+" [kNm]"+'\n');
    sk=Places.format(MainStructure.getMembers()[1].getMp());
    OutTextArea.append("διατομή διπλού ταυ Mp= "+sk+" [kNm]"+'\n');
    
    if(jCheckBox2.isSelected()){
        MainStructure.setAxialInfluence(true);
    }else{
        MainStructure.setAxialInfluence(false);
    }
    MainStructure.solveY_N(OutTextArea);
    MainStructure.solve1();
    MainStructure.solve2();
    MainStructure.solve3();
    
    DefaultTableModel tableModel = (DefaultTableModel) StateTable.getModel();
        while (tableModel.getRowCount() != 0) {
            tableModel.removeRow(tableModel.getRowCount() - 1);
        }
    tableModel.setColumnCount(0);
    String name= "Κατάσταση";
    tableModel.addColumn(name);
    name= "Δύναμη P";
    tableModel.addColumn(name);
    name= "Μετακίνηση Γ [cm]";
    tableModel.addColumn(name);
    name= "Τύπος";
    tableModel.addColumn(name);
    name= "Μέλος";
    tableModel.addColumn(name);
    name= "Σημείο";
    tableModel.addColumn(name);
    name= "Βy";
    tableModel.addColumn(name);
    name= "Βx";
    tableModel.addColumn(name);
    
    String strp,strd,bx,by;
    for(Iterator<state> it=MainStructure.getStates().values().iterator(); it.hasNext();){
            state theState = it.next();
            strp=Places.format(theState.getP());
            bx=Places.format(theState.getX1());
            by=Places.format(theState.getX2());
            strd=Places.format(100.*theState.getDeltaG());
            tableModel.addRow(new Object[]{theState.getId(),strp,strd,
            theState.getType(),
            MainStructure.getMembers()[theState.getWhichMemberId()-1].getName(),
            MainStructure.getMembers()[theState.getWhichMemberId()-1].getPositionName(theState.getWhichPoint()),bx,by});
    }
    
    //strd=Places.format(100.*MainStructure.getStates().get(1).getDeltaG());
    //OutTextArea.append('\n'+"μετακινηση στο σημειο Γ για Py= "+strd+"[cm]"+'\n');
    
    structurePanel1.setStructure(MainStructure);
    structurePanel1.setOutTextArea(OutTextArea);
    structurePanel1.Initialize();
    structurePanel1.plot();
    
    DefaultComboBoxModel CBModel = (DefaultComboBoxModel) jComboBox1.getModel();
    CBModel.removeAllElements();
    CBModel.addElement("φορέας");
    CBModel.addElement("ροπές");
    CBModel.addElement("αξονικές δυνάμεις");
    CBModel.addElement("τέμνουσες δυνάμεις");
    CBModel.addElement("καμπύλη αντίστασης");
    CBModel.addElement("τάσεις");
    jComboBox1.setModel(CBModel);
    jComboBox1.setEnabled(true);
    jButton10.setEnabled(true);
    
    MainStructure.printM(MainStructure.getStates().get(1), OutTextArea);
    MainStructure.printM(MainStructure.getStates().get(2), OutTextArea);
    MainStructure.printM(MainStructure.getStates().get(3), OutTextArea);
    MainStructure.printM(MainStructure.getStates().get(4), OutTextArea);
    
    MainStructure.printN(MainStructure.getStates().get(1), OutTextArea);
    MainStructure.printN(MainStructure.getStates().get(2), OutTextArea);
    MainStructure.printN(MainStructure.getStates().get(3), OutTextArea);
    MainStructure.printN(MainStructure.getStates().get(4), OutTextArea);
    
    MainStructure.printQ(MainStructure.getStates().get(1), OutTextArea);
    MainStructure.printQ(MainStructure.getStates().get(2), OutTextArea);
    MainStructure.printQ(MainStructure.getStates().get(3), OutTextArea);
    MainStructure.printQ(MainStructure.getStates().get(4), OutTextArea);
    
    AEMDialog.setVisible(false);
    
}//GEN-LAST:event_jButton6ActionPerformed

private void jButton9ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton9ActionPerformed
// TODO add your handling code here:
    GeneralInputDialog.setVisible(false);
}//GEN-LAST:event_jButton9ActionPerformed

private void cb1PropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_cb1PropertyChange
// TODO add your handling code here:
}//GEN-LAST:event_cb1PropertyChange

private void cb1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cb1ActionPerformed
// TODO add your handling code here:
    int selectItem = cb1.getSelectedIndex();
    switch(selectItem){
        case 0: 
            h1.setEditable(true); h1.setEnabled(true);
            b1.setEditable(true); b1.setEnabled(true);
            s1.setEditable(true); s1.setEnabled(true);
            t1.setEditable(false); t1.setEnabled(false);
            i1.setEditable(false); i1.setEnabled(false);
            a1.setEditable(false); a1.setEnabled(false);
            wy1.setEditable(false); wy1.setEnabled(false);
            wp1.setEditable(false); wp1.setEnabled(false);
            break;
        case 1:
            h1.setEditable(true); h1.setEnabled(true);
            b1.setEditable(true); b1.setEnabled(true);
            s1.setEditable(true); s1.setEnabled(true);
            t1.setEditable(true); t1.setEnabled(true);
            i1.setEditable(false); i1.setEnabled(false);
            a1.setEditable(false); a1.setEnabled(false);
            wy1.setEditable(false); wy1.setEnabled(false);
            wp1.setEditable(false); wp1.setEnabled(false);
            break;
        case 2:
            h1.setEditable(true); h1.setEnabled(true);
            b1.setEditable(false); b1.setEnabled(false);
            s1.setEditable(false); s1.setEnabled(false);
            t1.setEditable(false); t1.setEnabled(false);
            i1.setEditable(true); i1.setEnabled(true);
            a1.setEditable(true); a1.setEnabled(true);
            wy1.setEditable(true); wy1.setEnabled(true);
            wp1.setEditable(true); wp1.setEnabled(true);
            break;
    }
}//GEN-LAST:event_cb1ActionPerformed

private void cb2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cb2ActionPerformed
// TODO add your handling code here:
    int selectItem = cb2.getSelectedIndex();
    switch(selectItem){
        case 0: 
            h2.setEditable(true); h2.setEnabled(true);
            b2.setEditable(true); b2.setEnabled(true);
            s2.setEditable(true); s2.setEnabled(true);
            t2.setEditable(false); t2.setEnabled(false);
            i2.setEditable(false); i2.setEnabled(false);
            a2.setEditable(false); a2.setEnabled(false);
            wy2.setEditable(false); wy2.setEnabled(false);
            wp2.setEditable(false); wp2.setEnabled(false);
            break;
        case 1:
            h2.setEditable(true); h2.setEnabled(true);
            b2.setEditable(true); b2.setEnabled(true);
            s2.setEditable(true); s2.setEnabled(true);
            t2.setEditable(true); t2.setEnabled(true);
            i2.setEditable(false); i2.setEnabled(false);
            a2.setEditable(false); a2.setEnabled(false);
            wy2.setEditable(false); wy2.setEnabled(false);
            wp2.setEditable(false); wp2.setEnabled(false);
            break;
        case 2:
            h2.setEditable(true); h2.setEnabled(true);
            b2.setEditable(false); b2.setEnabled(false);
            s2.setEditable(false); s2.setEnabled(false);
            t2.setEditable(false); t2.setEnabled(false);
            i2.setEditable(true); i2.setEnabled(true);
            a2.setEditable(true); a2.setEnabled(true);
            wy2.setEditable(true); wy2.setEnabled(true);
            wp2.setEditable(true); wp2.setEnabled(true);
            break;
    }
}//GEN-LAST:event_cb2ActionPerformed

private void cb3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cb3ActionPerformed
// TODO add your handling code here:
    int selectItem = cb3.getSelectedIndex();
    switch(selectItem){
        case 0: 
            h3.setEditable(true); h3.setEnabled(true);
            b3.setEditable(true); b3.setEnabled(true);
            s3.setEditable(true); s3.setEnabled(true);
            t3.setEditable(false); t3.setEnabled(false);
            i3.setEditable(false); i3.setEnabled(false);
            a3.setEditable(false); a3.setEnabled(false);
            wy3.setEditable(false); wy3.setEnabled(false);
            wp3.setEditable(false); wp3.setEnabled(false);
            break;
        case 1:
            h3.setEditable(true); h3.setEnabled(true);
            b3.setEditable(true); b3.setEnabled(true);
            s3.setEditable(true); s3.setEnabled(true);
            t3.setEditable(true); t3.setEnabled(true);
            i3.setEditable(false); i3.setEnabled(false);
            a3.setEditable(false); a3.setEnabled(false);
            wy3.setEditable(false); wy3.setEnabled(false);
            wp3.setEditable(false); wp3.setEnabled(false);
            break;
        case 2:
            h3.setEditable(true); h3.setEnabled(true);
            b3.setEditable(false); b3.setEnabled(false);
            s3.setEditable(false); s3.setEnabled(false);
            t3.setEditable(false); t3.setEnabled(false);
            i3.setEditable(true); i3.setEnabled(true);
            a3.setEditable(true); a3.setEnabled(true);
            wy3.setEditable(true); wy3.setEnabled(true);
            wp3.setEditable(true); wp3.setEnabled(true);
            break;
    }
}//GEN-LAST:event_cb3ActionPerformed

private void cb4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cb4ActionPerformed
// TODO add your handling code here:
    int selectItem = cb4.getSelectedIndex();
    switch(selectItem){
        case 0: 
            h4.setEditable(true); h4.setEnabled(true);
            b4.setEditable(true); b4.setEnabled(true);
            s4.setEditable(true); s4.setEnabled(true);
            t4.setEditable(false); t4.setEnabled(false);
            i4.setEditable(false); i4.setEnabled(false);
            a4.setEditable(false); a4.setEnabled(false);
            wy4.setEditable(false); wy4.setEnabled(false);
            wp4.setEditable(false); wp4.setEnabled(false);
            break;
        case 1:
            h4.setEditable(true); h4.setEnabled(true);
            b4.setEditable(true); b4.setEnabled(true);
            s4.setEditable(true); s4.setEnabled(true);
            t4.setEditable(true); t4.setEnabled(true);
            i4.setEditable(false); i4.setEnabled(false);
            a4.setEditable(false); a4.setEnabled(false);
            wy4.setEditable(false); wy4.setEnabled(false);
            wp4.setEditable(false); wp4.setEnabled(false);
            break;
        case 2:
            h4.setEditable(true); h4.setEnabled(true);
            b4.setEditable(false); b4.setEnabled(false);
            s4.setEditable(false); s4.setEnabled(false);
            t4.setEditable(false); t4.setEnabled(false);
            i4.setEditable(true); i4.setEnabled(true);
            a4.setEditable(true); a4.setEnabled(true);
            wy4.setEditable(true); wy4.setEnabled(true);
            wp4.setEditable(true); wp4.setEnabled(true);
            break;
    }
}//GEN-LAST:event_cb4ActionPerformed

private void cb5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cb5ActionPerformed
// TODO add your handling code here:
    int selectItem = cb5.getSelectedIndex();
    switch(selectItem){
        case 0: 
            h5.setEditable(true); h5.setEnabled(true);
            b5.setEditable(true); b5.setEnabled(true);
            s5.setEditable(true); s5.setEnabled(true);
            t5.setEditable(false); t5.setEnabled(false);
            i5.setEditable(false); i5.setEnabled(false);
            a5.setEditable(false); a5.setEnabled(false);
            wy5.setEditable(false); wy5.setEnabled(false);
            wp5.setEditable(false); wp5.setEnabled(false);
            break;
        case 1:
            h5.setEditable(true); h5.setEnabled(true);
            b5.setEditable(true); b5.setEnabled(true);
            s5.setEditable(true); s5.setEnabled(true);
            t5.setEditable(true); t5.setEnabled(true);
            i5.setEditable(false); i5.setEnabled(false);
            a5.setEditable(false); a5.setEnabled(false);
            wy5.setEditable(false); wy5.setEnabled(false);
            wp5.setEditable(false); wp5.setEnabled(false);
            break;
        case 2:
            h5.setEditable(true); h5.setEnabled(true);
            b5.setEditable(false); b5.setEnabled(false);
            s5.setEditable(false); s5.setEnabled(false);
            t5.setEditable(false); t5.setEnabled(false);
            i5.setEditable(true); i5.setEnabled(true);
            a5.setEditable(true); a5.setEnabled(true);
            wy5.setEditable(true); wy5.setEnabled(true);
            wp5.setEditable(true); wp5.setEnabled(true);
            break;
    }
}//GEN-LAST:event_cb5ActionPerformed

private void jButton8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton8ActionPerformed
// TODO add your handling code here:
    data=2;
    OutTextArea.append('\n'+"=========================================================="+'\n');
    OutTextArea.append("Εισαγωγή στοιχείων μέσω γενικής φόρμας"+'\n');
    DecimalFormatSymbols comma =new DecimalFormatSymbols();
    comma.setDecimalSeparator('.');
    DecimalFormat Places = new DecimalFormat("0.000",comma);
    String sd;
    double H,L,phi,coef;
    H=Double.parseDouble(fheight.getText());
    L=Double.parseDouble(flength.getText());
    phi=Double.parseDouble(fphi.getText())*Math.PI/180.;
    coef=Double.parseDouble(fcoef.getText());
    MainStructure = new structure(phi, H, L, coef);
    
    OutTextArea.append("Στοιχεία / Παράμετροι πλαισίου:"+'\n');
    sd=Places.format(H);
    OutTextArea.append("H= "+sd+" [m]"+'\n');
    sd=Places.format(L);
    OutTextArea.append("L= "+sd+" [m]"+'\n');
    sd=Places.format(phi/(Math.PI/180.));
    OutTextArea.append("φ= "+sd+" [deg]"+'\n');
    sd=Places.format(coef);
    OutTextArea.append("σημείο εφαρμογής φορτίου P: "+'\n');
    OutTextArea.append(sd+" του ΔΓ, από το Δ"+'\n');
    
    section Asection; material Amaterial;
    Asection=new section();
    double theElast,yieldStr;
    double hp,bp,sp,tp,wp;
    
    // member 1
    theElast=Double.parseDouble(elast1.getText());
    yieldStr=Double.parseDouble(yield1.getText());
    Amaterial=new material(theElast*1.e6,yieldStr*1.e3);
    switch(cb1.getSelectedIndex()){
        case 0:
            hp=Double.parseDouble(h1.getText())/1000.;
            bp=Double.parseDouble(b1.getText())/1000.;
            sp=Double.parseDouble(s1.getText())/1000.;
            Asection=new OrthTubeSect(1,hp,sp, bp);
            break;
        case 1:
            hp=Double.parseDouble(h1.getText())/1000.;
            bp=Double.parseDouble(b1.getText())/1000.;
            sp=Double.parseDouble(s1.getText())/1000.;
            tp=Double.parseDouble(t1.getText())/1000.;
            Asection=new DoubleTauSect(1,hp,sp, tp, bp);
            break;
        case 2:
            hp=Double.parseDouble(h1.getText())/1000.;
            bp=Double.parseDouble(i1.getText())/1000.;
            sp=Double.parseDouble(a1.getText())/1000.;
            tp=Double.parseDouble(wy1.getText())/1000.;
            wp=Double.parseDouble(wp1.getText())/1000.;
            Asection=new section(1, bp, sp, hp);
            break; 
    }
    MainStructure.addMember(1, Asection, Amaterial);
    //member 2
    theElast=Double.parseDouble(elast2.getText());
    yieldStr=Double.parseDouble(yield2.getText());
    Amaterial=new material(theElast*1.e6,yieldStr*1.e3);
    switch(cb2.getSelectedIndex()){
        case 0:
            hp=Double.parseDouble(h2.getText())/1000.;
            bp=Double.parseDouble(b2.getText())/1000.;
            sp=Double.parseDouble(s2.getText())/1000.;
            Asection=new OrthTubeSect(2,hp,sp, bp);
            break;
        case 1:
            hp=Double.parseDouble(h2.getText())/1000.;
            bp=Double.parseDouble(b2.getText())/1000.;
            sp=Double.parseDouble(s2.getText())/1000.;
            tp=Double.parseDouble(t2.getText())/1000.;
            Asection=new DoubleTauSect(2,hp,sp, tp, bp);
            break;
        case 2:
            hp=Double.parseDouble(h2.getText())/1000.;
            bp=Double.parseDouble(i2.getText())/1000.;
            sp=Double.parseDouble(a2.getText())/1000.;
            tp=Double.parseDouble(wy2.getText())/1000.;
            wp=Double.parseDouble(wp2.getText())/1000.;
            Asection=new section(2, bp, sp, hp);
            break; 
    }
    MainStructure.addMember(2, Asection, Amaterial);
    //member 3
    theElast=Double.parseDouble(elast3.getText());
    yieldStr=Double.parseDouble(yield3.getText());
    Amaterial=new material(theElast*1.e6,yieldStr*1.e3);
    switch(cb3.getSelectedIndex()){
        case 0:
            hp=Double.parseDouble(h3.getText())/1000.;
            bp=Double.parseDouble(b3.getText())/1000.;
            sp=Double.parseDouble(s3.getText())/1000.;
            Asection=new OrthTubeSect(3,hp,sp, bp);
            break;
        case 1:
            hp=Double.parseDouble(h3.getText())/1000.;
            bp=Double.parseDouble(b3.getText())/1000.;
            sp=Double.parseDouble(s3.getText())/1000.;
            tp=Double.parseDouble(t3.getText())/1000.;
            Asection=new DoubleTauSect(3,hp,sp, tp, bp);
            break;
        case 2:
            hp=Double.parseDouble(h3.getText())/1000.;
            bp=Double.parseDouble(i3.getText())/1000.;
            sp=Double.parseDouble(a3.getText())/1000.;
            tp=Double.parseDouble(wy3.getText())/1000.;
            wp=Double.parseDouble(wp3.getText())/1000.;
            Asection=new section(3, bp, sp, hp);
            break; 
    }
    MainStructure.addMember(3, Asection, Amaterial);
    //member 4
    theElast=Double.parseDouble(elast4.getText());
    yieldStr=Double.parseDouble(yield4.getText());
    Amaterial=new material(theElast*1.e6,yieldStr*1.e3);
    switch(cb4.getSelectedIndex()){
        case 0:
            hp=Double.parseDouble(h4.getText())/1000.;
            bp=Double.parseDouble(b4.getText())/1000.;
            sp=Double.parseDouble(s4.getText())/1000.;
            Asection=new OrthTubeSect(4,hp,sp, bp);
            break;
        case 1:
            hp=Double.parseDouble(h4.getText())/1000.;
            bp=Double.parseDouble(b4.getText())/1000.;
            sp=Double.parseDouble(s4.getText())/1000.;
            tp=Double.parseDouble(t4.getText())/1000.;
            Asection=new DoubleTauSect(4,hp,sp, tp, bp);
            break;
        case 2:
            hp=Double.parseDouble(h4.getText())/1000.;
            bp=Double.parseDouble(i4.getText())/1000.;
            sp=Double.parseDouble(a4.getText())/1000.;
            tp=Double.parseDouble(wy4.getText())/1000.;
            wp=Double.parseDouble(wp4.getText())/1000.;
            Asection=new section(4, bp, sp, hp);
            break; 
    }
    MainStructure.addMember(4, Asection, Amaterial);
    //member 5
    theElast=Double.parseDouble(elast5.getText());
    yieldStr=Double.parseDouble(yield5.getText());
    Amaterial=new material(theElast*1.e6,yieldStr*1.e3);
    switch(cb5.getSelectedIndex()){
        case 0:
            hp=Double.parseDouble(h5.getText())/1000.;
            bp=Double.parseDouble(b5.getText())/1000.;
            sp=Double.parseDouble(s5.getText())/1000.;
            Asection=new OrthTubeSect(5,hp,sp, bp);
            break;
        case 1:
            hp=Double.parseDouble(h5.getText())/1000.;
            bp=Double.parseDouble(b5.getText())/1000.;
            sp=Double.parseDouble(s5.getText())/1000.;
            tp=Double.parseDouble(t5.getText())/1000.;
            Asection=new DoubleTauSect(5,hp,sp, tp, bp);
            break;
        case 2:
            hp=Double.parseDouble(h5.getText())/1000.;
            bp=Double.parseDouble(i5.getText())/1000.;
            sp=Double.parseDouble(a5.getText())/1000.;
            tp=Double.parseDouble(wy5.getText())/1000.;
            wp=Double.parseDouble(wp5.getText())/1000.;
            Asection=new section(5, bp, sp, hp);
            break; 
    }
    MainStructure.addMember(5, Asection, Amaterial);
    OutTextArea.append('\n'+"μέλη κατασκευής"+'\n'+'\n');
    for(int im=0; im<MainStructure.getMembers().length; im++){
        MainStructure.getMembers()[im].print(OutTextArea);
    }
    if(jCheckBox1.isSelected()){
        MainStructure.setAxialInfluence(true);
    }else{
        MainStructure.setAxialInfluence(false);
    }
    MainStructure.solveY_N(OutTextArea);
    MainStructure.solve1();
    MainStructure.solve2();
    MainStructure.solve3();

    DefaultTableModel tableModel = (DefaultTableModel) StateTable.getModel();
        while (tableModel.getRowCount() != 0) {
            tableModel.removeRow(tableModel.getRowCount() - 1);
        }
    tableModel.setColumnCount(0);
    String name= "Κατάσταση";
    tableModel.addColumn(name);
    name= "Δύναμη P";
    tableModel.addColumn(name);
    name= "Μετακίνηση Γ [cm]";
    tableModel.addColumn(name);
    name= "Τύπος";
    tableModel.addColumn(name);
    name= "Μέλος";
    tableModel.addColumn(name);
    name= "Σημείο";
    tableModel.addColumn(name);
    name= "Βy";
    tableModel.addColumn(name);
    name= "Βx";
    tableModel.addColumn(name);
    
    String strp,strd,bx,by;
    for(Iterator<state> it=MainStructure.getStates().values().iterator(); it.hasNext();){
            state theState = it.next();
            strp=Places.format(theState.getP()); 
            strd=Places.format(100.*theState.getDeltaG());
            bx=Places.format(theState.getX1());
            by=Places.format(theState.getX2());
            tableModel.addRow(new Object[]{theState.getId(),strp,strd,
            theState.getType(),
            MainStructure.getMembers()[theState.getWhichMemberId()-1].getName(),
            MainStructure.getMembers()[theState.getWhichMemberId()-1].getPositionName(theState.getWhichPoint()),bx,by});
    }
    
    //strd=Places.format(100.*MainStructure.getStates().get(1).getDeltaG());
    //OutTextArea.append('\n'+"μετακινηση στο σημειο Γ για Py= "+strd+"[cm]"+'\n');
    
    structurePanel1.setStructure(MainStructure);
    structurePanel1.setOutTextArea(OutTextArea);
    structurePanel1.Initialize();
    structurePanel1.plot();
    
    DefaultComboBoxModel CBModel = (DefaultComboBoxModel) jComboBox1.getModel();
    CBModel.removeAllElements();
    CBModel.addElement("φορέας");
    CBModel.addElement("ροπές");
    CBModel.addElement("αξονικές δυνάμεις");
    CBModel.addElement("τέμνουσες δυνάμεις");
    CBModel.addElement("καμπύλη αντίστασης");
    jComboBox1.setModel(CBModel);
    jComboBox1.setEnabled(true);
    jButton10.setEnabled(true);
    
    MainStructure.printM(MainStructure.getStates().get(1), OutTextArea);
    MainStructure.printM(MainStructure.getStates().get(2), OutTextArea);
    MainStructure.printM(MainStructure.getStates().get(3), OutTextArea);
    MainStructure.printM(MainStructure.getStates().get(4), OutTextArea);
    
    MainStructure.printN(MainStructure.getStates().get(1), OutTextArea);
    MainStructure.printN(MainStructure.getStates().get(2), OutTextArea);
    MainStructure.printN(MainStructure.getStates().get(3), OutTextArea);
    MainStructure.printN(MainStructure.getStates().get(4), OutTextArea);
    
    MainStructure.printQ(MainStructure.getStates().get(1), OutTextArea);
    MainStructure.printQ(MainStructure.getStates().get(2), OutTextArea);
    MainStructure.printQ(MainStructure.getStates().get(3), OutTextArea);
    MainStructure.printQ(MainStructure.getStates().get(4), OutTextArea);
    
    GeneralInputDialog.setVisible(false);
}//GEN-LAST:event_jButton8ActionPerformed

private void jComboBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox1ActionPerformed
// TODO add your handling code here:
    /*int sel = StateTable.getSelectedRow();
    DefaultTableModel tableModel = (DefaultTableModel) StateTable.getModel();
    if(sel>=0){
        int stat=Integer.parseInt(tableModel.getValueAt(sel, 0).toString());
        //structurePanel1.setSelectedState(stat);
    }*/
    structurePanel1.setSelectedVariable(jComboBox1.getSelectedIndex());
    structurePanel1.plot();
}//GEN-LAST:event_jComboBox1ActionPerformed

private void jButton10ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton10ActionPerformed
// TODO add your handling code here:
    boolean oo=false;
    String strDT;
    double Pnew=0.0;
    while(!oo){
        strDT = JOptionPane.showInputDialog(this, "Δύναμη σε kN (0.0<P<Pκ)");
        Pnew=Double.parseDouble(strDT);
        oo=cycleP(Pnew);
    }
    // search where the Pnew belows
    double P1=this.MainStructure.getStates().get(1).getP();
    double P2=this.MainStructure.getStates().get(2).getP();
    double P3=this.MainStructure.getStates().get(3).getP();
    double P4=this.MainStructure.getStates().get(4).getP();
    int where=1; // 1 [0,P1] 2 [P1,P2] 3[P2,P3]
    if(Math.abs(Pnew)<=Math.abs(P2)){where=1;}
    if(Math.abs(Pnew)>Math.abs(P2) && Math.abs(Pnew)<=Math.abs(P3)){where=2;}
    if(Math.abs(Pnew)>Math.abs(P3) && Math.abs(Pnew)<=Math.abs(P4)){where=3;}
    MainStructure.SolveForP(Pnew, where,OutTextArea);
    
    DefaultTableModel tableModel = (DefaultTableModel) StateTable.getModel();
        while (tableModel.getRowCount() != 0) {
            tableModel.removeRow(tableModel.getRowCount() - 1);
        }
    tableModel.setColumnCount(0);
    String name= "Κατάσταση";
    tableModel.addColumn(name);
    name= "Δύναμη P";
    tableModel.addColumn(name);
    name= "Μετακίνηση Γ [cm]";
    tableModel.addColumn(name);
    name= "Τύπος";
    tableModel.addColumn(name);
    name= "Μέλος";
    tableModel.addColumn(name);
    name= "Σημείο";
    tableModel.addColumn(name);
    name= "Βy";
    tableModel.addColumn(name);
    name= "Βx";
    tableModel.addColumn(name);
    
    StateTable.setModel(tableModel);
    
    DecimalFormatSymbols comma =new DecimalFormatSymbols();
    comma.setDecimalSeparator('.');
    DecimalFormat Places = new DecimalFormat("0.000",comma);

    String strp,strd,bx,by;
    
    List<state> list = new ArrayList<state>();
    for(Iterator<state> it=MainStructure.getStates().values().iterator(); it.hasNext();){
        state aState = it.next();
        list.add(aState);
    }
    Collections.sort( list,new StateComparator() );
    int ls=list.size();
    for(int i =0;i<ls;i++){
        strp=Places.format(list.get(i).getP()); 
        strd=Places.format(100.*list.get(i).getDeltaG());
        bx=Places.format(list.get(i).getX1()); 
        by=Places.format(list.get(i).getX2()); 
        switch(list.get(i).getId()){
            case 1:
                tableModel.addRow(new Object[]{list.get(i).getId(),strp,strd,
                list.get(i).getType(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getName(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getPositionName(list.get(i).getWhichPoint()),bx,by});
                break;
            case 2:
                tableModel.addRow(new Object[]{list.get(i).getId(),strp,strd,
                list.get(i).getType(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getName(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getPositionName(list.get(i).getWhichPoint()),bx,by});
                break;
            case 3:
                tableModel.addRow(new Object[]{list.get(i).getId(),strp,strd,
                list.get(i).getType(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getName(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getPositionName(list.get(i).getWhichPoint()),bx,by});
                break;
            case 4:
                tableModel.addRow(new Object[]{list.get(i).getId(),strp,strd,
                list.get(i).getType(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getName(),
                MainStructure.getMembers()[list.get(i).getWhichMemberId()-1].getPositionName(list.get(i).getWhichPoint()),bx,by});
                break;
            default:
                strp=Places.format(list.get(i).getP()); 
                strd=Places.format(100.*list.get(i).getDeltaG());
                tableModel.addRow(new Object[]{list.get(i).getId(),strp,strd,
                list.get(i).getType(),
                "",
                "",bx,by});
                break;
        }
        if(jComboBox1.getSelectedIndex()==4){this.structurePanel1.plot();}
    }
}//GEN-LAST:event_jButton10ActionPerformed

private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed
// TODO add your handling code here:
    BareBonesBrowserLaunch.openURL("http://edusoft.civil.auth.gr/TE4500/jcastigliano/jcastigliano_example/jcastigliano_example.htm");
}//GEN-LAST:event_jButton4ActionPerformed

private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
// TODO add your handling code here:
    zoomDialog.setVisible(true);
}//GEN-LAST:event_jButton3ActionPerformed

private void jButton16ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton16ActionPerformed
// TODO add your handling code here:
    double sc = this.structurePanel1.getXscale();
    sc=10./15.*sc;
    structurePanel1.setXscale(sc);
    structurePanel1.plot();
}//GEN-LAST:event_jButton16ActionPerformed

private void jButton14ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton14ActionPerformed
// TODO add your handling code here:
    double sc = this.structurePanel1.getXscale();
    sc=15./10.*sc;
    structurePanel1.setXscale(sc);
    structurePanel1.plot();
}//GEN-LAST:event_jButton14ActionPerformed

private void jButton15ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton15ActionPerformed
// TODO add your handling code here:
    double sc = this.structurePanel1.getYscale();
    sc=15./10.*sc;
    structurePanel1.setYscale(sc);
    structurePanel1.plot();
}//GEN-LAST:event_jButton15ActionPerformed

private void jButton17ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton17ActionPerformed
// TODO add your handling code here:
    double sc = this.structurePanel1.getYscale();
    sc=10./15.*sc;
    structurePanel1.setYscale(sc);
    structurePanel1.plot();
}//GEN-LAST:event_jButton17ActionPerformed

private boolean cycleP(double Pval){
    double Pk=this.MainStructure.getStates().get(4).getP();
    boolean ss=true;
    //if(Pval<0.0 || Pval>=Pk){ss=false;}
    if(Math.abs(Pval)>=Math.abs(Pk)){ss=false;}
    //ss=true;
    return ss;
}
    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        try {
            // Set System L&F
            UIManager.setLookAndFeel(
                    UIManager.getSystemLookAndFeelClassName());
        }
        catch (UnsupportedLookAndFeelException e) {
            // handle exception
        }
        catch (ClassNotFoundException e) {
            // handle exception
        }
        catch (InstantiationException e) {
            // handle exception
        }
        catch (IllegalAccessException e) {
            // handle exception
        }
        final theFrame myFrame = new theFrame();
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                myFrame.setExtendedState(JFrame.MAXIMIZED_BOTH);
                //Image img = Toolkit.getDefaultToolkit().getImage(java.net.URLClassLoader.getSystemResource("http://edusoft.civil.auth.gr/TE4500/jcastigliano/images/edusoft-logo01-smal.png"));
                //myFrame.setIconImage(img);
                myFrame.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JDialog AEMDialog;
    private javax.swing.JDialog GeneralInputDialog;
    private gui.myTextArea OutTextArea;
    private javax.swing.JPanel PositionPanel;
    private javax.swing.JTable StateTable;
    private javax.swing.JTextField a1;
    private javax.swing.JTextField a2;
    private javax.swing.JTextField a3;
    private javax.swing.JTextField a4;
    private javax.swing.JTextField a5;
    private javax.swing.JTextField b1;
    private javax.swing.JTextField b2;
    private javax.swing.JTextField b3;
    private javax.swing.JTextField b4;
    private javax.swing.JTextField b5;
    private javax.swing.JComboBox cb1;
    private javax.swing.JComboBox cb2;
    private javax.swing.JComboBox cb3;
    private javax.swing.JComboBox cb4;
    private javax.swing.JComboBox cb5;
    private javax.swing.JTextField elast1;
    private javax.swing.JTextField elast2;
    private javax.swing.JTextField elast3;
    private javax.swing.JTextField elast4;
    private javax.swing.JTextField elast5;
    private javax.swing.JTextField fcoef;
    private javax.swing.JTextField fheight;
    private javax.swing.JTextField flength;
    private javax.swing.JTextField fphi;
    private javax.swing.JTextField h1;
    private javax.swing.JTextField h2;
    private javax.swing.JTextField h3;
    private javax.swing.JTextField h4;
    private javax.swing.JTextField h5;
    private javax.swing.JTextField i1;
    private javax.swing.JTextField i2;
    private javax.swing.JTextField i3;
    private javax.swing.JTextField i4;
    private javax.swing.JTextField i5;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton10;
    private javax.swing.JButton jButton14;
    private javax.swing.JButton jButton15;
    private javax.swing.JButton jButton16;
    private javax.swing.JButton jButton17;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButton9;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JCheckBox jCheckBox2;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    private javax.swing.JSeparator jSeparator5;
    private javax.swing.JSeparator jSeparator6;
    private javax.swing.JSplitPane jSplitPane1;
    private javax.swing.JSplitPane jSplitPane2;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField s1;
    private javax.swing.JTextField s2;
    private javax.swing.JTextField s3;
    private javax.swing.JTextField s4;
    private javax.swing.JTextField s5;
    private gui.StructurePanel structurePanel1;
    private javax.swing.JTextField t1;
    private javax.swing.JTextField t2;
    private javax.swing.JTextField t3;
    private javax.swing.JTextField t4;
    private javax.swing.JTextField t5;
    private javax.swing.JTextField wp1;
    private javax.swing.JTextField wp2;
    private javax.swing.JTextField wp3;
    private javax.swing.JTextField wp4;
    private javax.swing.JTextField wp5;
    private javax.swing.JTextField wy1;
    private javax.swing.JTextField wy2;
    private javax.swing.JTextField wy3;
    private javax.swing.JTextField wy4;
    private javax.swing.JTextField wy5;
    private javax.swing.JTextField yield1;
    private javax.swing.JTextField yield2;
    private javax.swing.JTextField yield3;
    private javax.swing.JTextField yield4;
    private javax.swing.JTextField yield5;
    private javax.swing.JDialog zoomDialog;
    // End of variables declaration//GEN-END:variables

    public void setStructure(structure Astructure){
        this.MainStructure=Astructure;
        structurePanel1.setStructure(Astructure);
        structurePanel1.setOutTextArea(OutTextArea);
    }
    
}
