/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;

/**
 *
 * @author pchr
 */
public class state {
    private boolean yield;
    private boolean collapse;
    private int memberId;
    private int pointHierarchy;
    private double P;
    private double X1;
    private double X2;
    private int stateHierarchy;
    private static int numOfStates=0;
    private int id;
    private double deltaG;
    private static double theSignum;
    
    
    public state(){}
    
    public state(boolean IsYield, boolean isCollapse, int member, int toPoint, double P, double X1, double X2, int stateH){
        ++numOfStates;
        this.id=numOfStates;
        yield=IsYield;
        memberId=member;
        pointHierarchy=toPoint;
        this.P=P;
        this.X1=X1;
        this.X2=X2;
        this.stateHierarchy=stateH;
        this.collapse=isCollapse;
    }
    
    public state(boolean IsYield, boolean isCollapse, int member, int toPoint, double P, double X1, double X2, int stateH, double deltaG){
        ++numOfStates;
        this.id=numOfStates;
        yield=IsYield;
        memberId=member;
        pointHierarchy=toPoint;
        this.P=P;
        this.X1=X1;
        this.X2=X2;
        this.stateHierarchy=stateH;
        this.collapse=isCollapse;
        this.deltaG=deltaG;
    }
    
    public int getId(){
        return this.id;
    }
    
    public void printState(){
        //System.out.println("state id="+this.id+" ,yield:"+yield+" ,collapse:"+collapse+" ,memberId="+memberId+" ,point of member="+pointHierarchy+" ,P="+P+" ,X1="+X1+" ,X2="+X2+" ,δΓ="+deltaG);
    }
    
    public double getP(){
        return this.P;
    }
    
    public int getWhichPoint(){
        return this.pointHierarchy;
    }
    
    public int getWhichMemberId(){
        return this.memberId;
    }
    
    public double getDeltaG(){
        return this.deltaG;
    }
    
    public double getX1(){
        return this.X1;
    }
    
    public double getX2(){
        return this.X2;
    }
    
    public void setZeroStates(){
        state.numOfStates=0;
    }
    
    public String getType(){
        String st="---";
        if(this.collapse){st="κατάρρευση";}
        if(this.yield){st="διαρροή";}
        return st;
    }
    
    public void setSignum(double val){
        state.theSignum=Math.signum(P);
    }
    
    public double getSignum(){
        return Math.signum(theSignum);
    }
    
}
