/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gui;

import core.structure;
import javax.swing.JTable;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author pchr
 * http://www.exampledepot.com/egs/javax.swing.table/SelEvent.html
 */
public class SelectionListener implements ListSelectionListener{
    private JTable table;
    private StructurePanel theStrPanel;
        // It is necessary to keep the table since it is not possible
        // to determine the table from the event's source
        SelectionListener(JTable table, StructurePanel theStrPanel) {
            this.table = table;
            this.theStrPanel=theStrPanel;
        }
        public void valueChanged(ListSelectionEvent e) {
            // If cell selection is enabled, both row and column change events are fired
            if (e.getSource() == table.getSelectionModel()
                  && table.getRowSelectionAllowed()) {
                // Column selection changed
                /*int present =table.getSelectedRow();
                int first = e.getFirstIndex();
                int last = e.getLastIndex();
                if(present<last){
                    present=last;
                    last=first;
                    first=present;
                }
                
                theStrPanel.setSelectedState(last);
                theStrPanel.plot();*/
                ////////////////////////////////
                int sel = table.getSelectedRow();
                DefaultTableModel tableModel = (DefaultTableModel) table.getModel();
                if(sel>=0){
                    int stat=Integer.parseInt(tableModel.getValueAt(sel, 0).toString());
                    theStrPanel.setSelectedState(stat);
                    theStrPanel.plot();
                }
                ////////////////////////////////
            } else if (e.getSource() == table.getColumnModel().getSelectionModel()
                   && table.getColumnSelectionAllowed() ){
                // Row selection changed
                //int first = e.getFirstIndex();
                //int last = e.getLastIndex();
            }
    
            if (e.getValueIsAdjusting()) {
                // The mouse button has not yet been released
            }
        }

}
